// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import (
	bmc "git.sr.ht/~xn/bmc"
	mock "github.com/stretchr/testify/mock"
)

// BMCAPIclient is an autogenerated mock type for the BMCAPIclient type
type BMCAPIclient struct {
	mock.Mock
}

// GetExtras provides a mock function with given fields:
func (_m *BMCAPIclient) GetExtras() (bmc.Extras, error) {
	ret := _m.Called()

	var r0 bmc.Extras
	if rf, ok := ret.Get(0).(func() bmc.Extras); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(bmc.Extras)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetMembers provides a mock function with given fields: _a0
func (_m *BMCAPIclient) GetMembers(_a0 string) (bmc.Members, error) {
	ret := _m.Called(_a0)

	var r0 bmc.Members
	if rf, ok := ret.Get(0).(func(string) bmc.Members); ok {
		r0 = rf(_a0)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(bmc.Members)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(_a0)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetSupporters provides a mock function with given fields:
func (_m *BMCAPIclient) GetSupporters() (bmc.Supporters, error) {
	ret := _m.Called()

	var r0 bmc.Supporters
	if rf, ok := ret.Get(0).(func() bmc.Supporters); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(bmc.Supporters)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
